import{s as Ne,o as ze,n as Ae}from"../chunks/scheduler.bdbef820.js";import{S as Ve,i as Be,g as i,s as l,r,A as qe,h as o,f as a,c as n,j as ke,u as c,x as d,k as Ze,y as Qe,a as s,v as m,d as f,t as h,w as $}from"../chunks/index.c0aea24a.js";import{T as Oe}from"../chunks/Tip.31005f7d.js";import{C as V}from"../chunks/CodeBlock.6ccca92e.js";import{H as B,E as Ke}from"../chunks/EditOnGithub.725ee0c1.js";function et(Q){let p,_='If you want to reuse a dataset from scratch, try setting the <code>download_mode</code> parameter in <a href="/docs/datasets/main/en/package_reference/loading_methods#datasets.load_dataset">load_dataset()</a> instead.';return{c(){p=i("p"),p.innerHTML=_},l(g){p=o(g,"P",{"data-svelte-h":!0}),d(p)!=="svelte-1kc0hsm"&&(p.innerHTML=_)},m(g,z){s(g,p,z)},p:Ae,d(g){g&&a(p)}}}function tt(Q){let p,_,g,z,w,O,y,je="When you download a dataset, the processing scripts and data are stored locally on your computer. The cache allows 🤗 Datasets to avoid re-downloading or processing the entire dataset every time you use it.",K,T,Re="This guide will show you how to:",ee,b,Ge="<li>Change the cache directory.</li> <li>Control how a dataset is loaded from the cache.</li> <li>Clean up cache files in the directory.</li> <li>Enable or disable caching.</li>",te,v,ae,C,He="The default cache directory is <code>~/.cache/huggingface/datasets</code>. Change the cache location by setting the shell environment variable, <code>HF_DATASETS_CACHE</code> to another directory:",se,x,le,M,Ee="When you load a dataset, you also have the option to change where the data is cached. Change the <code>cache_dir</code> parameter to the path you want:",ne,J,ie,k,oe,Z,Ie='After you download a dataset, control how it is loaded by <a href="/docs/datasets/main/en/package_reference/loading_methods#datasets.load_dataset">load_dataset()</a> with the <code>download_mode</code> parameter. By default, 🤗 Datasets will reuse a dataset if it exists. But if you need the original dataset without any processing functions applied, re-download the files as shown below:',pe,j,de,R,Ye='Refer to <a href="/docs/datasets/main/en/package_reference/builder_classes#datasets.DownloadMode">DownloadMode</a> for a full list of download modes.',re,G,ce,H,Fe='Clean up the cache files in the directory with <a href="/docs/datasets/main/en/package_reference/main_classes#datasets.Dataset.cleanup_cache_files">Dataset.cleanup_cache_files()</a>:',me,E,fe,I,he,Y,Le='If you’re using a cached file locally, it will automatically reload the dataset with any previous transforms you applied to the dataset. Disable this behavior by setting the argument <code>load_from_cache_file=False</code> in <a href="/docs/datasets/main/en/package_reference/main_classes#datasets.Dataset.map">Dataset.map()</a>:',$e,F,ge,L,Ue="In the example above, 🤗 Datasets will execute the function <code>add_prefix</code> over the entire dataset again instead of loading the dataset from its previous state.",ue,U,De='Disable caching on a global scale with <a href="/docs/datasets/main/en/package_reference/main_classes#datasets.disable_caching">disable_caching()</a>:',_e,D,we,W,We="When you disable caching, 🤗 Datasets will no longer reload cached files when applying transforms to datasets. Any transform you apply on your dataset will be need to be reapplied.",ye,u,Te,A,be,P,ve,S,Pe="Disabling the cache and copying the dataset in-memory will speed up dataset operations. There are two options for copying the dataset in-memory:",Ce,X,Se="<li><p>Set <code>datasets.config.IN_MEMORY_MAX_SIZE</code> to a nonzero value (in bytes) that fits in your RAM memory.</p></li> <li><p>Set the environment variable <code>HF_DATASETS_IN_MEMORY_MAX_SIZE</code> to a nonzero value. Note that the first method takes higher precedence.</p></li>",xe,N,Me,q,Je;return w=new B({props:{title:"Cache management",local:"cache-management",headingTag:"h1"}}),v=new B({props:{title:"Cache directory",local:"cache-directory",headingTag:"h2"}}),x=new V({props:{code:"JTI0JTIwZXhwb3J0JTIwSEZfREFUQVNFVFNfQ0FDSEUlM0QlMjIlMkZwYXRoJTJGdG8lMkZhbm90aGVyJTJGZGlyZWN0b3J5JTIy",highlighted:'$ <span class="hljs-built_in">export</span> <span class="hljs-attribute">HF_DATASETS_CACHE</span>=<span class="hljs-string">&quot;/path/to/another/directory&quot;</span>',wrap:!1}}),J=new V({props:{code:"ZnJvbSUyMGRhdGFzZXRzJTIwaW1wb3J0JTIwbG9hZF9kYXRhc2V0JTBBZGF0YXNldCUyMCUzRCUyMGxvYWRfZGF0YXNldCgnTE9BRElOR19TQ1JJUFQnJTJDJTIwY2FjaGVfZGlyJTNEJTIyUEFUSCUyRlRPJTJGTVklMkZDQUNIRSUyRkRJUiUyMik=",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&#x27;LOADING_SCRIPT&#x27;</span>, cache_dir=<span class="hljs-string">&quot;PATH/TO/MY/CACHE/DIR&quot;</span>)`,wrap:!1}}),k=new B({props:{title:"Download mode",local:"download-mode",headingTag:"h2"}}),j=new V({props:{code:"ZnJvbSUyMGRhdGFzZXRzJTIwaW1wb3J0JTIwbG9hZF9kYXRhc2V0JTBBZGF0YXNldCUyMCUzRCUyMGxvYWRfZGF0YXNldCgnc3F1YWQnJTJDJTIwZG93bmxvYWRfbW9kZSUzRCdmb3JjZV9yZWRvd25sb2FkJyk=",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&#x27;squad&#x27;</span>, download_mode=<span class="hljs-string">&#x27;force_redownload&#x27;</span>)`,wrap:!1}}),G=new B({props:{title:"Cache files",local:"cache-files",headingTag:"h2"}}),E=new V({props:{code:"ZGF0YXNldC5jbGVhbnVwX2NhY2hlX2ZpbGVzKCk=",highlighted:`<span class="hljs-comment"># Returns the number of removed cache files</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset.cleanup_cache_files()
<span class="hljs-number">2</span>`,wrap:!1}}),I=new B({props:{title:"Enable or disable caching",local:"enable-or-disable-caching",headingTag:"h2"}}),F=new V({props:{code:"dXBkYXRlZF9kYXRhc2V0JTIwJTNEJTIwc21hbGxfZGF0YXNldC5tYXAoYWRkX3ByZWZpeCUyQyUyMGxvYWRfZnJvbV9jYWNoZV9maWxlJTNERmFsc2Up",highlighted:'<span class="hljs-meta">&gt;&gt;&gt; </span>updated_dataset = small_dataset.<span class="hljs-built_in">map</span>(add_prefix, load_from_cache_file=<span class="hljs-literal">False</span>)',wrap:!1}}),D=new V({props:{code:"ZnJvbSUyMGRhdGFzZXRzJTIwaW1wb3J0JTIwZGlzYWJsZV9jYWNoaW5nJTBBZGlzYWJsZV9jYWNoaW5nKCk=",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> disable_caching
<span class="hljs-meta">&gt;&gt;&gt; </span>disable_caching()`,wrap:!1}}),u=new Oe({props:{$$slots:{default:[et]},$$scope:{ctx:Q}}}),P=new B({props:{title:"Improve performance",local:"improve-performance",headingTag:"h2"}}),N=new Ke({props:{source:"https://github.com/huggingface/datasets/blob/main/docs/source/cache.mdx"}}),{c(){p=i("meta"),_=l(),g=i("p"),z=l(),r(w.$$.fragment),O=l(),y=i("p"),y.textContent=je,K=l(),T=i("p"),T.textContent=Re,ee=l(),b=i("ul"),b.innerHTML=Ge,te=l(),r(v.$$.fragment),ae=l(),C=i("p"),C.innerHTML=He,se=l(),r(x.$$.fragment),le=l(),M=i("p"),M.innerHTML=Ee,ne=l(),r(J.$$.fragment),ie=l(),r(k.$$.fragment),oe=l(),Z=i("p"),Z.innerHTML=Ie,pe=l(),r(j.$$.fragment),de=l(),R=i("p"),R.innerHTML=Ye,re=l(),r(G.$$.fragment),ce=l(),H=i("p"),H.innerHTML=Fe,me=l(),r(E.$$.fragment),fe=l(),r(I.$$.fragment),he=l(),Y=i("p"),Y.innerHTML=Le,$e=l(),r(F.$$.fragment),ge=l(),L=i("p"),L.innerHTML=Ue,ue=l(),U=i("p"),U.innerHTML=De,_e=l(),r(D.$$.fragment),we=l(),W=i("p"),W.textContent=We,ye=l(),r(u.$$.fragment),Te=l(),A=i("a"),be=l(),r(P.$$.fragment),ve=l(),S=i("p"),S.textContent=Pe,Ce=l(),X=i("ol"),X.innerHTML=Se,xe=l(),r(N.$$.fragment),Me=l(),q=i("p"),this.h()},l(e){const t=qe("svelte-u9bgzb",document.head);p=o(t,"META",{name:!0,content:!0}),t.forEach(a),_=n(e),g=o(e,"P",{}),ke(g).forEach(a),z=n(e),c(w.$$.fragment,e),O=n(e),y=o(e,"P",{"data-svelte-h":!0}),d(y)!=="svelte-1tli97h"&&(y.textContent=je),K=n(e),T=o(e,"P",{"data-svelte-h":!0}),d(T)!=="svelte-1aff4p7"&&(T.textContent=Re),ee=n(e),b=o(e,"UL",{"data-svelte-h":!0}),d(b)!=="svelte-1pju6bx"&&(b.innerHTML=Ge),te=n(e),c(v.$$.fragment,e),ae=n(e),C=o(e,"P",{"data-svelte-h":!0}),d(C)!=="svelte-hnjznw"&&(C.innerHTML=He),se=n(e),c(x.$$.fragment,e),le=n(e),M=o(e,"P",{"data-svelte-h":!0}),d(M)!=="svelte-rd1xw8"&&(M.innerHTML=Ee),ne=n(e),c(J.$$.fragment,e),ie=n(e),c(k.$$.fragment,e),oe=n(e),Z=o(e,"P",{"data-svelte-h":!0}),d(Z)!=="svelte-rzq8ij"&&(Z.innerHTML=Ie),pe=n(e),c(j.$$.fragment,e),de=n(e),R=o(e,"P",{"data-svelte-h":!0}),d(R)!=="svelte-1tcg5ri"&&(R.innerHTML=Ye),re=n(e),c(G.$$.fragment,e),ce=n(e),H=o(e,"P",{"data-svelte-h":!0}),d(H)!=="svelte-rzgnnh"&&(H.innerHTML=Fe),me=n(e),c(E.$$.fragment,e),fe=n(e),c(I.$$.fragment,e),he=n(e),Y=o(e,"P",{"data-svelte-h":!0}),d(Y)!=="svelte-i94vid"&&(Y.innerHTML=Le),$e=n(e),c(F.$$.fragment,e),ge=n(e),L=o(e,"P",{"data-svelte-h":!0}),d(L)!=="svelte-135z99u"&&(L.innerHTML=Ue),ue=n(e),U=o(e,"P",{"data-svelte-h":!0}),d(U)!=="svelte-15v5bwk"&&(U.innerHTML=De),_e=n(e),c(D.$$.fragment,e),we=n(e),W=o(e,"P",{"data-svelte-h":!0}),d(W)!=="svelte-1cf02ij"&&(W.textContent=We),ye=n(e),c(u.$$.fragment,e),Te=n(e),A=o(e,"A",{id:!0}),ke(A).forEach(a),be=n(e),c(P.$$.fragment,e),ve=n(e),S=o(e,"P",{"data-svelte-h":!0}),d(S)!=="svelte-1dk1qbe"&&(S.textContent=Pe),Ce=n(e),X=o(e,"OL",{"data-svelte-h":!0}),d(X)!=="svelte-1nkx5nz"&&(X.innerHTML=Se),xe=n(e),c(N.$$.fragment,e),Me=n(e),q=o(e,"P",{}),ke(q).forEach(a),this.h()},h(){Ze(p,"name","hf:doc:metadata"),Ze(p,"content",at),Ze(A,"id","load_dataset_enhancing_performance")},m(e,t){Qe(document.head,p),s(e,_,t),s(e,g,t),s(e,z,t),m(w,e,t),s(e,O,t),s(e,y,t),s(e,K,t),s(e,T,t),s(e,ee,t),s(e,b,t),s(e,te,t),m(v,e,t),s(e,ae,t),s(e,C,t),s(e,se,t),m(x,e,t),s(e,le,t),s(e,M,t),s(e,ne,t),m(J,e,t),s(e,ie,t),m(k,e,t),s(e,oe,t),s(e,Z,t),s(e,pe,t),m(j,e,t),s(e,de,t),s(e,R,t),s(e,re,t),m(G,e,t),s(e,ce,t),s(e,H,t),s(e,me,t),m(E,e,t),s(e,fe,t),m(I,e,t),s(e,he,t),s(e,Y,t),s(e,$e,t),m(F,e,t),s(e,ge,t),s(e,L,t),s(e,ue,t),s(e,U,t),s(e,_e,t),m(D,e,t),s(e,we,t),s(e,W,t),s(e,ye,t),m(u,e,t),s(e,Te,t),s(e,A,t),s(e,be,t),m(P,e,t),s(e,ve,t),s(e,S,t),s(e,Ce,t),s(e,X,t),s(e,xe,t),m(N,e,t),s(e,Me,t),s(e,q,t),Je=!0},p(e,[t]){const Xe={};t&2&&(Xe.$$scope={dirty:t,ctx:e}),u.$set(Xe)},i(e){Je||(f(w.$$.fragment,e),f(v.$$.fragment,e),f(x.$$.fragment,e),f(J.$$.fragment,e),f(k.$$.fragment,e),f(j.$$.fragment,e),f(G.$$.fragment,e),f(E.$$.fragment,e),f(I.$$.fragment,e),f(F.$$.fragment,e),f(D.$$.fragment,e),f(u.$$.fragment,e),f(P.$$.fragment,e),f(N.$$.fragment,e),Je=!0)},o(e){h(w.$$.fragment,e),h(v.$$.fragment,e),h(x.$$.fragment,e),h(J.$$.fragment,e),h(k.$$.fragment,e),h(j.$$.fragment,e),h(G.$$.fragment,e),h(E.$$.fragment,e),h(I.$$.fragment,e),h(F.$$.fragment,e),h(D.$$.fragment,e),h(u.$$.fragment,e),h(P.$$.fragment,e),h(N.$$.fragment,e),Je=!1},d(e){e&&(a(_),a(g),a(z),a(O),a(y),a(K),a(T),a(ee),a(b),a(te),a(ae),a(C),a(se),a(le),a(M),a(ne),a(ie),a(oe),a(Z),a(pe),a(de),a(R),a(re),a(ce),a(H),a(me),a(fe),a(he),a(Y),a($e),a(ge),a(L),a(ue),a(U),a(_e),a(we),a(W),a(ye),a(Te),a(A),a(be),a(ve),a(S),a(Ce),a(X),a(xe),a(Me),a(q)),a(p),$(w,e),$(v,e),$(x,e),$(J,e),$(k,e),$(j,e),$(G,e),$(E,e),$(I,e),$(F,e),$(D,e),$(u,e),$(P,e),$(N,e)}}}const at='{"title":"Cache management","local":"cache-management","sections":[{"title":"Cache directory","local":"cache-directory","sections":[],"depth":2},{"title":"Download mode","local":"download-mode","sections":[],"depth":2},{"title":"Cache files","local":"cache-files","sections":[],"depth":2},{"title":"Enable or disable caching","local":"enable-or-disable-caching","sections":[],"depth":2},{"title":"Improve performance","local":"improve-performance","sections":[],"depth":2}],"depth":1}';function st(Q){return ze(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class dt extends Ve{constructor(p){super(),Be(this,p,st,tt,Ne,{})}}export{dt as component};
